Subject: Re: 28.0.50; Undesireable warning: Empty let body from the `benchmark-run' implementation

From: Stefan Monnier <[email-masked]>
Date: Sat, 27 Feb 2021 16:00:21 -0500

> This behavior began with Stefan's recent commit d41a4ad4ae (*
> lisp/emacs-lisp/macroexp.el ;; (macroexp--expand-all): Warn on empty let
> bodies, 2021-02-15)
>
> `benchmark-run' has a timing `doloop' with an empty body, which `doloop`
> expands to a `let` with an empty body (in the lexical-binding case).

It'd be easy to put an explicit nil in the loop's body, but....

The idea was that in actual (non-macroexpanded) source code, empty let
bodies are usually the result of a misplaced paren.  But it's probably
more often annoying than useful since we can't easily distinguish a "let
from source code" from a "let from a macro expansion".

So I'm also voting to revert that change.
Any objection?

        Stefan